require 'cocoapods-extension/sandbox'

module Pod
    class Command
        class Dev < Command
            class Init < Dev

                self.summary = 'Init development environment.'
                self.description = 'Init development environment.'

                def initialize(argv)
                    super
                end

                def run
                    begin
                        UI.puts "Initing development environment."
                        project_url = Pathname(Dir.pwd) 
                        Pod::Extension::Sandbox::install!
                        Pod::Extension::Sandbox::podfile_exists! project_url
                        conf = Pod::Extension::Configurator::find_conf? project_url
                        conf ||= Pod::Extension::Configurator::create_conf! project_url
                        project = Pod::Extension::Sandbox::Project::new conf
                        project.install!
                    rescue => exception
                        puts "[!] #{exception}".red
                    end
                end

            end
        end
    end
end