require 'cocoapods-extension/sandbox/workspace'
require 'cocoapods-extension/sandbox/repos'
require 'cocoapods-extension/sandbox/template'
require 'cocoapods-extension/sandbox/project'
require 'cocoapods-extension/sandbox/projects'

module Pod
    module Extension
        class Sandbox

            include Pod::Extension::Sandbox::Protocol

            def self.workspace
                @@workspace ||= Pod::Extension::Sandbox::Workspace::new
                @@workspace
            end

            def self.install!
                Pod::Extension::Sandbox::workspace::install!
            end

            def self.update!
                Pod::Extension::Sandbox::workspace::update!
            end

            def self.podfile_exists! dir
                if Pod::Extension::Sandbox::find_podfile(dir).nil?
                    raise Informative, "No `Podfile' found in the project directory."
                end
            end

            def self.find_podfile dir
                PODFILE_NAMES.each do |filename|
                    candidate = dir + filename
                    if candidate.file?
                        return candidate
                    end
                end
                nil
            end

            PODFILE_NAMES = [
                'CocoaPods.podfile.yaml',
                'CocoaPods.podfile',
                'Podfile',
                'Podfile.rb',
            ].freeze

        end
    end
end