require 'cocoapods-extension/sandbox/repos'
require 'cocoapods-extension/sandbox/protocol'

module Pod
    module Extension
        class Sandbox
            class Project < Pod::Sandbox

                include Pod::Extension::Sandbox::Protocol

                attr_reader :repos, :conf

                def initialize conf
                    @conf = conf
                    super conf.project_debug_url
                    @repos = Pod::Extension::Sandbox::Repos::new conf::project_debug_url
                end

                def install!
                    @conf.sync
                    @conf.save!

                    unless pod_file.exist?
                        cp! [Pod::Extension::Sandbox::workspace::template::pod_file, pod_file]
                    end
                end

                def update!
                    install!
                end

                def pod_file
                    root + 'pods'
                end

            end
        end
    end
end