require 'cocoapods-extension/sandbox/protocol'
require 'digest'

module Pod
    module Extension
        class Sandbox
            class Repos < Pod::Sandbox

                include Pod::Extension::Sandbox::Protocol

                def initialize url
                    super File.join(url, 'repos')
                end

                def install!
                    
                end

                def update!
                    
                end

                def pod! name, repo_url, share
                    md5 = Digest::MD5::new
                    md5.update repo_url                    
                    to = root + "#{Pathname(repo_url).basename}@#{md5.hexdigest}".gsub('.git', '')
                    if to.empty?
                        rm ['-rf', to]
                    end
                    unless to.exist?
                        clone_template! name, repo_url, to
                    end
                    to
                end

                private

                def clone_template! name, repo_url, to
                    UI.section("Cocoapods-Extension Cloning `#{name}`.".green) do
                        git! ['clone', repo_url, to]
                    end
                    unless (to + '.git').exist?
                        raise Informative, "Clone failed."
                    end
                end

            end
        end
    end
end
