require 'cocoapods-extension/sandbox'
require 'cocoapods-extension/sandbox/protocol'

module Pod
    module Extension
        class Sandbox
            class Workspace < Pod::Sandbox

                include Pod::Extension::Sandbox::Protocol

                attr_reader :repos, :template, :projects

                def initialize
                    super File.join(File.expand_path('~'), '.cocoapods/extension')
                    @repos = Pod::Extension::Sandbox::Repos::new root
                    @template = Pod::Extension::Sandbox::Template::new root
                    @projects = Pod::Extension::Sandbox::Projects::new root
                end

                def install!
                    @repos.install!
                    @template.install! 
                    @projects.install!

                    unless source_file.exist?
                        cp! [@template::source_file, source_file]
                    end
                end

                def update!
                    @repos.update!
                    @template.update!
                    @projects.update!
                    
                    rm! ['-rf', source_file]
                    cp! [@template::source_file, source_file]
                end

                def source_file
                    root + 'source'
                end
                
            end
        end
    end
end
